<div class="container">
    <div class="row">
        <h3> Create New Contact </h3>
        <form [formGroup]="createContactForm" (ngSubmit)="submit()">
            <div class="form-group">
                <label for="name">Name:</label>
                <input 
                    formControlName="name" 
                    id="name" 
                    type="text" 
                    class="form-control">
            </div>
            <div class="form-group">
                <label for="lastName">Last Name:</label>
                <input 
                    formControlName="lastName" 
                    id="lastName" 
                    type="text" 
                    class="form-control">
            </div>
            <div  class="my-3" formArrayName="telephones">
                <div class= "d-flex align-items-center my-3">
                    <h5 class="me-2"> Phone Number: </h5>
                    <button type="button" class="btn btn-secondary btn-sm" (click)="onAddPhone()"><i class="fas fa-plus"></i></button>
                </div>
                <div *ngFor="let telephoneControl of telephones.controls; let i = index">
                    <div [formGroupName] = "i"
                        class="d-flex justify-content-between"
                        >
                        <div class="form-group col-2 d-flex flex-column">
                            <label for="prefix">Prefix:</label>
                            <select formControlName = "prefix" class="form-control">
                                <option 
                                *ngFor="let prf of prefixes; let i =index"
                                [ngValue] = "prf.id"> {{ prf.name }}</option>
                            </select>
                        </div>
                        <div class="form-group col-7">
                            <label for="number">Number:</label>
                            <input formControlName="number" id="number" type="text" class="form-control">
                        </div>
                        <div class="form-group col-2 d-flex flex-column">
                            <label for="type">Type:</label>
                            <select formControlName="type" class="form-control">
                                <option *ngFor="let type of types; let i =index" [ngValue]="type.id"> {{ type.name }}</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>
            <div formArrayName="emails">
                <div class= "d-flex align-items-center my-3">
                    <h5 class="me-2" > Email:</h5>
                    <button type="button" class="btn btn-secondary btn-sm" (click)="onAddEmail()"><i class="fas fa-plus"></i></button>
                </div>
                <div 
                *ngFor="let emailControl of emails.controls; let i = index">
                    <input 
                        id="email" 
                        type="email" 
                        class="form-control" 
                        placeholder="Email" 
                        [formControlName] = "i">
                </div>     
            </div>
            <button 
                class="btn btn-success my-3 btn-sm" 
                type="submit" 
                [disabled]="!createContactForm.valid">Save</button>
        </form>
    </div>
</div>
